/*:ja
 * @plugindesc 
 * @author Nupuryu
 *
 * @help 
 */
L2D_LeftPos = -400;      
L2D_RightPos = 400;    
PN_MdlLoadPic = 495;    
L2DPraLoadCnt = 5;
PN_L2DView = 146;       
L2DLayerPicCnt = 10;    
L2D_Mode = L2D_PFSMode.Nomal; 
let modelSetting = [];
class _L2dDtlSet {
  constructor(_MdlName, _Name , _StartLoad , _ZureX , _ZureY) {
    _StartLoad = typeof _StartLoad !== 'undefined' ? _StartLoad : false;
    _ZureX = typeof _ZureX !== 'undefined' ? _ZureX : 0;
    _ZureY = typeof _ZureY !== 'undefined' ? _ZureY : 0;
    this._MdlName = _MdlName;     
    this._Name = _Name;           
    this._StartLoad = _StartLoad; 
    this._ZureX = _ZureX;         
    this._ZureY = _ZureY;         
  }
}
//new _L2dDtlSet("モデル名" , "名前" , 初期ロードFlg);
modelSetting.push(new _L2dDtlSet("1boss_battle","",false,0,0));
modelSetting.push(new _L2dDtlSet("2boss_battle","",false,0,0));
modelSetting.push(new _L2dDtlSet("Bighand_battle","",false,0,0));
modelSetting.push(new _L2dDtlSet("buturitest","",false,0,0));
modelSetting.push(new _L2dDtlSet("CIn_finish1","",false,0,0));
modelSetting.push(new _L2dDtlSet("CIn_finish2","",false,0,0));
modelSetting.push(new _L2dDtlSet("CIn_Ransya","",false,0,0));
modelSetting.push(new _L2dDtlSet("CIn_Reload","",false,0,0));
modelSetting.push(new _L2dDtlSet("gorimattyo_battle","",false,0,0));
modelSetting.push(new _L2dDtlSet("Gunjin_battle","",false,0,0));
modelSetting.push(new _L2dDtlSet("Haiboku","",false,0,0));
modelSetting.push(new _L2dDtlSet("kigaetest","",false,0,0));
modelSetting.push(new _L2dDtlSet("Kokopellist_battle","",false,0,0));
modelSetting.push(new _L2dDtlSet("Leona_battle1","",false,0,0));
modelSetting.push(new _L2dDtlSet("Leona_battleTH","",false,0,0));
modelSetting.push(new _L2dDtlSet("Live2D_Sample","キャラA",false,0,0));
modelSetting.push(new _L2dDtlSet("Live2D_Sample_2","",false,0,0));
modelSetting.push(new _L2dDtlSet("Menu_LeonaD","",false,0,0));
modelSetting.push(new _L2dDtlSet("Mob_a","",false,0,0));
modelSetting.push(new _L2dDtlSet("Mob_b","",false,0,0));
modelSetting.push(new _L2dDtlSet("Mob_c","",false,0,0));
modelSetting.push(new _L2dDtlSet("Mob_d","",false,0,0));
modelSetting.push(new _L2dDtlSet("Mob_Fa","",false,0,0));
modelSetting.push(new _L2dDtlSet("Mob_Fb","",false,0,0));
modelSetting.push(new _L2dDtlSet("mohikan_battle","",false,0,0));
modelSetting.push(new _L2dDtlSet("nojiai","",false,0,0));
modelSetting.push(new _L2dDtlSet("rebekka_battle1","",false,0,0));
modelSetting.push(new _L2dDtlSet("rebekka_battle2","",false,0,0));
modelSetting.push(new _L2dDtlSet("Robo_battle","",false,0,0));
modelSetting.push(new _L2dDtlSet("robu_battle","",false,0,0));
modelSetting.push(new _L2dDtlSet("saiboug_battle","",false,0,0));
modelSetting.push(new _L2dDtlSet("Shioki_1","",true,0,0));
modelSetting.push(new _L2dDtlSet("Shioki_2","",true,0,0));
modelSetting.push(new _L2dDtlSet("Shioki_3","",true,0,0));
modelSetting.push(new _L2dDtlSet("Shioki_4","",true,0,0));
modelSetting.push(new _L2dDtlSet("Shioki_5","",false,0,0));
modelSetting.push(new _L2dDtlSet("Shioki_6","",true,0,0));
modelSetting.push(new _L2dDtlSet("Shioki_7","",true,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Bighand","",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Dummy","",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Eve","\\N[3]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Frank","\\N[11]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Gang","",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Gunjin1","",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Gunjin2","",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Jesse","",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Kotaro","\\N[5]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Lapis","",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Leona","\\N[1]",true,0,0));
modelSetting.push(new _L2dDtlSet("Ta_LeonaD1","\\N[1]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_LeonaD2","\\N[1]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_LeonaD3","\\N[1]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_LeonaD4","\\N[1]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_LeonaD5","\\N[1]",true,0,0));
modelSetting.push(new _L2dDtlSet("Ta_LeonaD6","\\N[1]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_LeonaDIdle","\\N[1]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_LeonaDKbon","\\N[1]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Leonamaidcheer","\\N[1]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Marcus","\\N[6]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Maxwell","",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_mitsubai","",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Rebekka","\\N[4]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Ronin","\\N[13]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Rury","\\N[2]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Shonin","\\N[12]",false,0,0));
modelSetting.push(new _L2dDtlSet("Ta_Yen","",false,0,0));
modelSetting.push(new _L2dDtlSet("Title","",true,0,0));
modelSetting.push(new _L2dDtlSet("Toumeidummy","\\N[10]",false,0,0));
modelSetting.push(new _L2dDtlSet("Yen_battle","",false,0,0));
var expSetting = [];
class _L2dExpSet {
  constructor(_MdlName, _MtnName, _FaceNo, _LEyeMax , _REyeMax) {
    this._MdlName = _MdlName;
    this._MtnName = _MtnName;
    this._FaceNo = _FaceNo;
    this._LEyeMax = _LEyeMax;
    this._REyeMax = _REyeMax;
  }
};
//new _L2dExpSet("モデル名" , "モーション名" , 顔グラ番号 , 左目最大値 , 右目最大値);
var seSetting = [];
class _L2dSeSet {
  constructor(_MdlName , _SeName , _VoiceChara) {
    _VoiceChara = typeof _VoiceChara !== 'undefined' ? _VoiceChara : "";
    this._MdlName = _MdlName;
    this._SeName = _SeName;
    this._VoiceChara = _VoiceChara;
  }
}
seSetting.push(new _L2dSeSet("Shioki_1","shi1_1_2a","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_1_4c","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_1_3c","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_1_1b","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_1_5a","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_1_6b","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_1_7a","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_1_8c","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_2_1b","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_2_2b","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_2_3b","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_2_4c","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_2_5a","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_2_6c","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_2_7b","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_2_8a","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_2_9a","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_3_1b","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_3_2a","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_3_3a","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_3_4a","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_3_5a","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_3_6c","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_3_7b","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_3_8a","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_1","shi1_3_9b","Leona_H"));
seSetting.push(new _L2dSeSet("Haiboku","haiboku1_1","Leona_H2"));
seSetting.push(new _L2dSeSet("Haiboku","haiboku2_1","Leona_H2"));
seSetting.push(new _L2dSeSet("Haiboku","haiboku3_1","Leona_H2"));
seSetting.push(new _L2dSeSet("Haiboku","haiboku4_2","Leona_H2"));
seSetting.push(new _L2dSeSet("Haiboku","haiboku5_2","Leona_H2"));
seSetting.push(new _L2dSeSet("Haiboku","haiboku6_2","Leona_H2"));
seSetting.push(new _L2dSeSet("Haiboku","haiboku1_3","Leona_H2"));
seSetting.push(new _L2dSeSet("Haiboku","haibokuX1_3","Leona_H2"));
seSetting.push(new _L2dSeSet("Haiboku","haibokuX3_3","Leona_H2"));
seSetting.push(new _L2dSeSet("Haiboku","KoshipanSE"));
seSetting.push(new _L2dSeSet("Haiboku","ShaseiSEshort_sokuji"));
seSetting.push(new _L2dSeSet("Haiboku","ShaseiSElong_sokuji"));
seSetting.push(new _L2dSeSet("nojiai","KoshipanSE"));
seSetting.push(new _L2dSeSet("nojiai","guchuSE"));
seSetting.push(new _L2dSeSet("nojiai","ShaseiSElong"));
seSetting.push(new _L2dSeSet("nojiai","ShaseiSEshort"));
seSetting.push(new _L2dSeSet("nojiai","noji1_1_3","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji1_2_3","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji1_3_2","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji1_4_2","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji1_4_4","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji1_5_2","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji1_6_1","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji1_6_6","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji2_1_2","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji2_2_2","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji2_3_2","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji2_4_2","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji2_4_a3","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji2_5_3","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji2_6_2","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji2_6_a2","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji3_1_2","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji3_2_2","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji3_3_2","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji3_4_3","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji3_4_a1","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji3_5_1","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji3_6_3","Leona_H2"));
seSetting.push(new _L2dSeSet("nojiai","noji3_6_a2","Leona_H2"));
seSetting.push(new _L2dSeSet("Shioki_1","KoshipanSE"));
seSetting.push(new _L2dSeSet("Shioki_1","ShaseiSElong"));
seSetting.push(new _L2dSeSet("Shioki_1","ShaseiSEshort"));
seSetting.push(new _L2dSeSet("Shioki_2","KoshipanSE"));
seSetting.push(new _L2dSeSet("Shioki_3","KoshipanSE"));
seSetting.push(new _L2dSeSet("Shioki_4","KoshipanSE"));
seSetting.push(new _L2dSeSet("Shioki_5","KoshipanSE"));
seSetting.push(new _L2dSeSet("Shioki_6","KoshipanSE"));
seSetting.push(new _L2dSeSet("Shioki_7","KoshipanSE"));
seSetting.push(new _L2dSeSet("Shioki_2","ShaseiSElong"));
seSetting.push(new _L2dSeSet("Shioki_3","ShaseiSElong"));
seSetting.push(new _L2dSeSet("Shioki_4","ShaseiSElong"));
seSetting.push(new _L2dSeSet("Shioki_5","ShaseiSElong"));
seSetting.push(new _L2dSeSet("Shioki_6","ShaseiSElong"));
seSetting.push(new _L2dSeSet("Shioki_7","ShaseiSElong"));
seSetting.push(new _L2dSeSet("Shioki_2","ShaseiSEshort"));
seSetting.push(new _L2dSeSet("Shioki_3","ShaseiSEshort"));
seSetting.push(new _L2dSeSet("Shioki_4","ShaseiSEshort"));
seSetting.push(new _L2dSeSet("Shioki_5","ShaseiSEshort"));
seSetting.push(new _L2dSeSet("Shioki_6","ShaseiSEshort"));
seSetting.push(new _L2dSeSet("Shioki_7","ShaseiSEshort"));
seSetting.push(new _L2dSeSet("Shioki_2","GuchuSE"));
seSetting.push(new _L2dSeSet("Shioki_1","GuchuSE"));
seSetting.push(new _L2dSeSet("Shioki_3","GuchuSE"));
seSetting.push(new _L2dSeSet("Shioki_4","GuchuSE"));
seSetting.push(new _L2dSeSet("Shioki_5","GuchuSE"));
seSetting.push(new _L2dSeSet("Shioki_6","GuchuSE"));
seSetting.push(new _L2dSeSet("Shioki_7","GuchuSE"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_1_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_1_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_1_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_1_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_1_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_1_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_1_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_1_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_2_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_2_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_2_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_2_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_2_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_2_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_2_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_2_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_3_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_3_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_3_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_3_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_3_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_3_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_3_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_2","shi2_3_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_1_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_1_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_1_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_1_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_1_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_1_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_1_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_1_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_2_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_2_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_2_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_2_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_2_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_2_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_2_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_2_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_3_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_3_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_3_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_3_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_3_","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_3_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_3_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_3_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_3","shi3_3_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_1_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_1_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_1_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_1_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_1_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_1_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_1_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_1_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_2_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_2_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_2_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_2_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_2_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_2_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_2_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_2_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_3_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_3_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_3_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_3_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_3_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_3_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_3_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_4","shi4_3_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_1_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_1_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_1_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_1_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_1_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_1_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_1_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_1_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_2_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_2_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_2_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_2_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_2_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_2_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_2_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_2_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_3_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_3_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_3_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_3_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_3_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_3_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_3_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_5","shi5_3_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_1_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_1_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_1_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_1_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_1_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_1_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_1_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_1_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_2_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_2_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_2_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_2_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_2_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_2_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_2_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_2_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_3_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_3_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_3_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_3_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_3_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_3_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_3_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_6","shi6_3_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_1_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_1_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_1_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_1_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_1_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_1_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_1_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_1_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_2_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_2_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_2_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_2_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_2_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_2_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_2_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_2_8","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_3_1","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_3_2","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_3_3","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_3_4","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_3_5","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_3_6","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_3_7","Leona_H"));
seSetting.push(new _L2dSeSet("Shioki_7","shi7_3_8","Leona_H"));
L2D_MosaicMdlAdd("test","test",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaDKbon","ArtMesh51",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaDKbon","ArtMesh48",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD1","ArtMesh45",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD3","ArtMesh52",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD3","ArtMesh51",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD3","ArtMesh4",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD3","ArtMesh7",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD3","ArtMesh9",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD4","ArtMesh52",0,0,0);
L2D_MosaicMdlAdd("Ikazuchi","ArtMesh49",0,0,0);
L2D_MosaicMdlAdd("Ikazuchi","ArtMesh99",0,0,0);
L2D_MosaicMdlAdd("Ikazuchi","ArtMesh75",0,0,0);
L2D_MosaicMdlAdd("Ikazuchi","ArtMesh51",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD5","ArtMesh35",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD5","ArtMesh36",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD5","ArtMesh37",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD5","ArtMesh108",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD5","ArtMesh98",0,0,0);
L2D_MosaicMdlAdd("nojiai","ArtMesh85",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD6","ArtMesh71",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD6","ArtMesh72",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaD6","ArtMesh66",0,0,0);
L2D_MosaicMdlAdd("Haiboku","ArtMesh62",0,0,0);
L2D_MosaicMdlAdd("Haiboku","ArtMesh58",0,0,0);
L2D_MosaicMdlAdd("Shioki_1","ArtMesh25",0,0,0);
L2D_MosaicMdlAdd("Shioki_1","ArtMesh44",0,0,0);
L2D_MosaicMdlAdd("Shioki_1","ArtMesh53",0,0,0);
L2D_MosaicMdlAdd("Shioki_1","ArtMesh71",0,0,0);
L2D_MosaicMdlAdd("Shioki_1","ArtMesh49",0,0,0);
L2D_MosaicMdlAdd("Ta_LeonaDIdle","ArtMesh3",0,0,0);
L2D_MosaicMdlAdd("Shioki_3","ArtMesh50",0,0,0);
L2D_MosaicMdlAdd("Shioki_3","ArtMesh69",0,0,0);
L2D_MosaicMdlAdd("Shioki_3","ArtMesh70",0,0,0);
L2D_MosaicMdlAdd("Shioki_4","ArtMesh37",0,0,0);
L2D_MosaicMdlAdd("Shioki_4","ArtMesh62",0,0,0);
L2D_MosaicMdlAdd("Shioki_5","ArtMesh7",0,0,0);
L2D_MosaicMdlAdd("Shioki_5","ArtMesh80",0,0,0);
L2D_MosaicMdlAdd("Shioki_5","ArtMesh12",0,0,0);
L2D_MosaicMdlAdd("Shioki_6","ArtMesh20",0,0,0);
L2D_MosaicMdlAdd("Shioki_6","ArtMesh58",0,0,0);
L2D_MosaicMdlAdd("Shioki_6","ArtMesh82",0,0,0);
L2D_MosaicMdlAdd("Shioki_7","ArtMesh3",0,0,0);
L2D_MosaicMdlAdd("Shioki_7","ArtMesh11",0,0,0);
L2D_MosaicMdlAdd("Shioki_7","ArtMesh5",0,0,0);
L2D_MosaicMdlAdd("Shioki_6","ArtMesh67",0,0,0);
L2D_MosaicMdlAdd("Shioki_6","ArtMesh9",0,0,0);
